Subject: bug#28601: 26.0.50; configure: error: Emacs does not support 'x86_64-pc-msys' systems.

From: Eli Zaretskii <[email-masked]>
Date: Fri, 13 Oct 2017 17:38:28 +0300

> From: Andy Moreton <[email-masked]>
> Date: Fri, 13 Oct 2017 14:52:27 +0100
> 
> >> MSYS2 is a rolling-release distribution, so any user who does not have
> >> an up to date installation would be well advised to update to current
> >> package versions before attempting to build emacs.
> >
> > I understand, but "advised" doesn't mean "forced", does it?
> 
> No, in that things only get updated if you run pacman. However I thnk
> the first respone to "I have a problem" will be "update to current
> package versions".

I don't like requesting users to update all of their software just
because the bleeding edge has moved.  Let's not forget that sometimes
(albeit rarely) upgrading to the latest and greatest can bring bugs.

In this case, the payment for allowing older MSYS2 is very small: a
single sentence.  I think we should have that.